シスコサポートコミュニティ
キャンセル
次の結果を表示 
次の代わりに検索 
もしかして: 

SCA Reporter CLI application for Linux が正常に動作しないことがある問題

2009年12月14日(初版)

TAC SR Collection
主な問題

SCA Reporter command-line application for Linux を実行すると以下のエラーが表示され、正常に動作しない事があります。

エラー
$ reportercmd -report
/libjvm.so'.ome/scmscm/reporter/features/com.cisco.p3.apps.reporter.jre_linux_3.0.1/jre-6u4-linux/lib/i386/server

Reporter CLI application はインストールパッケージにバンドルされている Java Runtime Environment を使用しますが、バンドルされている Java ファイルではうまく動作しない場合があります。

解決策

まず、『Cisco Service Control Application Reporter User Guide』を参照し、ご使用の環境がドキュメントに記載されたシステム要件を満たしているか確認してください。

システム要件を満たしている場合、バンドルされている Java ファイルを以下の方法で置き換えてください。

手順

  1. Sun Microsystems 社のホームページから JRE 1.5 または JRE 1.6 をダウンロードします。
  2. Reporter CLI application が使用している Java ファイルが保存されている場所を確認します。
    保存場所は、reportercmd.sh に記述されています。

    JAVACMD="/opt/sca-reporter/reporter/./features/com.cisco.p3.apps.reporter.jre_linux_3.0.1/SunJRE150_10LinuxINTEL/bin/java"
  3. 手順 2で確認した Java ファイルを手順 1でダウンロードした JRE に含まれている Java ファイルに置き換えます。

その後、再度 Reporter CLI application を実行し、問題が解決されたか確認してください。

なお、この問題は CSCta17240 で報告されています。

備考

  • タグ付けされた記事をさらに検索:
270
閲覧回数
0
いいね!
0
コメント